CREATE TABLE anc_per_abs_entries (
    ABS_RECORD_SOURCE               VARCHAR2(240) ,
    ASSIGNMENT_STATUS_UPDATE        VARCHAR2(120) ,
    PER_ABSENCE_ENTRY_ID            NUMBER(18, 0) ,
    PER_ABSENCE_HEADER_ID           NUMBER(18, 0) ,
    PERIOD_OF_SERVICE_ID            NUMBER(18, 0) ,
    PAYROLL_CHG_FLAG                VARCHAR2(80)  ,
    ABSENCE_CASE_ID                 NUMBER(18, 0) ,
    SINGLE_DAY_FLAG                 VARCHAR2(4)   ,
    START_DATE_DURATION             NUMBER        ,
    END_DATE_DURATION               NUMBER        ,
    ABSENCE_PATTERN_CD              VARCHAR2(120) ,
    ENTERPRISE_ID                   NUMBER(18, 0) ,
    LEGISLATIVE_DATA_GROUP_ID       NUMBER(18, 0) ,
    LEGAL_ENTITY_ID                 NUMBER(18, 0)     NOT NULL,
    PERSON_ID                       NUMBER(18, 0)     NOT NULL,
    ABSENCE_TYPE_ID                 NUMBER(18, 0)     NOT NULL,
    CHILD_EVENT_TYPE_CD             VARCHAR2(120) ,
    ABSENCE_TYPE_REASON_ID          NUMBER(18, 0) ,
    ABSENCE_ENTRY_BASIC_FLAG        VARCHAR2(120)     NOT NULL,
    ABSENCE_STATUS_CD               VARCHAR2(120)     NOT NULL,
    APPROVAL_STATUS_CD              VARCHAR2(120) ,
    APPROVAL_DATETIME               TIMESTAMP(6)  ,
    START_DATE                      DATE          ,
    START_DATETIME                  TIMESTAMP(6)  ,
    SUBMITTED_DATETIME              TIMESTAMP(6)  ,
    END_DATETIME                    TIMESTAMP(6)  ,
    END_DATE                        DATE          ,
    START_TIME                      VARCHAR2(120) ,
    END_TIME                        VARCHAR2(120) ,
    PLANNED_END_DATE                DATE          ,
    OPEN_ENDED_FLAG                 VARCHAR2(4)       NOT NULL,
    CONFIRMED_DATE                  DATE          ,
    SUBMITTED_DATE                  DATE          ,
    CONDITION_START_DATE            DATE          ,
    DURATION                        NUMBER        ,
    UOM                             VARCHAR2(120) ,
    COMMENTS                        VARCHAR2(4000),
    PROCESSING_STATUS               VARCHAR2(120) ,
    AGREEMENT_ID                    NUMBER(18, 0) ,
    BAND_DTL_ID                     NUMBER(18, 0) ,
    CONSUMED_BY_AGREEMENT           VARCHAR2(120) ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    PROJECT_ID                      NUMBER(18, 0) ,
    EMPLOYEE_SHIFT_FLAG             VARCHAR2(80)  ,
    TIME_CARD_TRANSFER_STATUS       VARCHAR2(320) ,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE_CATEGORY              VARCHAR2(120) ,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    ATTRIBUTE16                     VARCHAR2(600) ,
    ATTRIBUTE17                     VARCHAR2(600) ,
    ATTRIBUTE18                     VARCHAR2(600) ,
    ATTRIBUTE19                     VARCHAR2(600) ,
    ATTRIBUTE20                     VARCHAR2(600) ,
    ATTRIBUTE21                     VARCHAR2(600) ,
    ATTRIBUTE22                     VARCHAR2(600) ,
    ATTRIBUTE23                     VARCHAR2(600) ,
    ATTRIBUTE24                     VARCHAR2(600) ,
    ATTRIBUTE25                     VARCHAR2(600) ,
    ATTRIBUTE26                     VARCHAR2(600) ,
    ATTRIBUTE27                     VARCHAR2(600) ,
    ATTRIBUTE28                     VARCHAR2(600) ,
    ATTRIBUTE29                     VARCHAR2(600) ,
    ATTRIBUTE30                     VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    ATTRIBUTE_NUMBER6               NUMBER        ,
    ATTRIBUTE_NUMBER7               NUMBER        ,
    ATTRIBUTE_NUMBER8               NUMBER        ,
    ATTRIBUTE_NUMBER9               NUMBER        ,
    ATTRIBUTE_NUMBER10              NUMBER        ,
    ATTRIBUTE_NUMBER11              NUMBER        ,
    ATTRIBUTE_NUMBER12              NUMBER        ,
    ATTRIBUTE_NUMBER13              NUMBER        ,
    ATTRIBUTE_NUMBER14              NUMBER        ,
    ATTRIBUTE_NUMBER15              NUMBER        ,
    ATTRIBUTE_NUMBER16              NUMBER        ,
    ATTRIBUTE_NUMBER17              NUMBER        ,
    ATTRIBUTE_NUMBER18              NUMBER        ,
    ATTRIBUTE_NUMBER19              NUMBER        ,
    ATTRIBUTE_NUMBER20              NUMBER        ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    ATTRIBUTE_DATE6                 DATE          ,
    ATTRIBUTE_DATE7                 DATE          ,
    ATTRIBUTE_DATE8                 DATE          ,
    ATTRIBUTE_DATE9                 DATE          ,
    ATTRIBUTE_DATE10                DATE          ,
    ATTRIBUTE_DATE11                DATE          ,
    ATTRIBUTE_DATE12                DATE          ,
    ATTRIBUTE_DATE13                DATE          ,
    ATTRIBUTE_DATE14                DATE          ,
    ATTRIBUTE_DATE15                DATE          ,
    INFORMATION_CATEGORY            VARCHAR2(120) ,
    INFORMATION1                    VARCHAR2(600) ,
    INFORMATION2                    VARCHAR2(600) ,
    INFORMATION3                    VARCHAR2(600) ,
    INFORMATION4                    VARCHAR2(600) ,
    INFORMATION5                    VARCHAR2(600) ,
    INFORMATION6                    VARCHAR2(600) ,
    INFORMATION7                    VARCHAR2(600) ,
    INFORMATION8                    VARCHAR2(600) ,
    INFORMATION9                    VARCHAR2(600) ,
    INFORMATION10                   VARCHAR2(600) ,
    INFORMATION11                   VARCHAR2(600) ,
    INFORMATION12                   VARCHAR2(600) ,
    INFORMATION13                   VARCHAR2(600) ,
    INFORMATION14                   VARCHAR2(600) ,
    INFORMATION15                   VARCHAR2(600) ,
    INFORMATION16                   VARCHAR2(600) ,
    INFORMATION17                   VARCHAR2(600) ,
    INFORMATION18                   VARCHAR2(600) ,
    INFORMATION19                   VARCHAR2(600) ,
    INFORMATION20                   VARCHAR2(600) ,
    INFORMATION21                   VARCHAR2(600) ,
    INFORMATION22                   VARCHAR2(600) ,
    INFORMATION23                   VARCHAR2(600) ,
    INFORMATION24                   VARCHAR2(600) ,
    INFORMATION25                   VARCHAR2(600) ,
    INFORMATION26                   VARCHAR2(600) ,
    INFORMATION27                   VARCHAR2(600) ,
    INFORMATION28                   VARCHAR2(600) ,
    INFORMATION29                   VARCHAR2(600) ,
    INFORMATION30                   VARCHAR2(600) ,
    INFORMATION_NUMBER1             NUMBER        ,
    INFORMATION_NUMBER2             NUMBER        ,
    INFORMATION_NUMBER3             NUMBER        ,
    INFORMATION_NUMBER4             NUMBER        ,
    INFORMATION_NUMBER5             NUMBER        ,
    INFORMATION_NUMBER6             NUMBER        ,
    INFORMATION_NUMBER7             NUMBER        ,
    INFORMATION_NUMBER8             NUMBER        ,
    INFORMATION_NUMBER9             NUMBER        ,
    INFORMATION_NUMBER10            NUMBER        ,
    INFORMATION_NUMBER11            NUMBER        ,
    INFORMATION_NUMBER12            NUMBER        ,
    INFORMATION_NUMBER13            NUMBER        ,
    INFORMATION_NUMBER14            NUMBER        ,
    INFORMATION_NUMBER15            NUMBER        ,
    INFORMATION_NUMBER16            NUMBER        ,
    INFORMATION_NUMBER17            NUMBER        ,
    INFORMATION_NUMBER18            NUMBER        ,
    INFORMATION_NUMBER19            NUMBER        ,
    INFORMATION_NUMBER20            NUMBER        ,
    INFORMATION_DATE1               DATE          ,
    INFORMATION_DATE2               DATE          ,
    INFORMATION_DATE3               DATE          ,
    INFORMATION_DATE4               DATE          ,
    INFORMATION_DATE5               DATE          ,
    INFORMATION_DATE6               DATE          ,
    INFORMATION_DATE7               DATE          ,
    INFORMATION_DATE8               DATE          ,
    INFORMATION_DATE9               DATE          ,
    INFORMATION_DATE10              DATE          ,
    INFORMATION_DATE11              DATE          ,
    INFORMATION_DATE12              DATE          ,
    INFORMATION_DATE13              DATE          ,
    INFORMATION_DATE14              DATE          ,
    INFORMATION_DATE15              DATE          ,
    SPL_CONDITION                   VARCHAR2(4000),
    INITIAL_REPORT_BY_ID            NUMBER(18, 0) ,
    NOTIFICATION_DATE               DATE          ,
    LATE_NOTIFY_FLAG                VARCHAR2(120) ,
    INITIAL_TIMELY_NOTIFY_FLAG      VARCHAR2(120) ,
    CERTIFICATION_AUTH_FLAG         VARCHAR2(120) ,
    AUTH_STATUS_UPDATE_DATE         DATE          ,
    TIMELINESS_OVERRIDE_DATE        DATE          ,
    DISEASE_CODE                    VARCHAR2(1000),
    PERIOD_OF_INCAP_TO_WORK_FLAG    VARCHAR2(120) ,
    ESTABLISHMENT_DATE              DATE          ,
    USER_MODE                       VARCHAR2(40)      NOT NULL,
    SOURCE                          VARCHAR2(40)      NOT NULL,
    FREQUENCY                       VARCHAR2(120) ,
    LEGISLATION_CODE                VARCHAR2(120) ,
    BLOCKED_LEAVE_CANDIDATE         VARCHAR2(120) ,
    OVERRIDDEN                      VARCHAR2(40)  ,
    APPROVAL_OUTCOME                VARCHAR2(120) ,
    ESS_DURATION_UPDATE             VARCHAR2(40)  ,
    EXPEDITE                        VARCHAR2(600) ,
    OVERRIDE_PAY_METHOD             NUMBER        ,
    OVERRIDE_CHECK_PRINTER          VARCHAR2(600) ,
    ASSIGNMENT_ID                   NUMBER(18, 0) ,
    LAST_ENTRY_MODE                 VARCHAR2(80)  ,
    PAYROLL_MAPPING_ID              NUMBER(18, 0) ,
    PAYROLL_STATUS                  VARCHAR2(128) ,
    BID_PREFERENCE                  NUMBER        ,
    BID_FLAG                        VARCHAR2(120) ,
    BID_ID                          NUMBER(18, 0) ,
    START_DT_DUR_PREF_CD            VARCHAR2(120) ,
    END_DT_DUR_PREF_CD              VARCHAR2(120) ,
    UNPAID_BREAK_DURATION           NUMBER        ,
    PER_ABSENCE_ENTRY_ID            NUMBER(18, 0) ,
    ABSENCE_CASE_ID                 NUMBER(18, 0) ,
    SINGLE_DAY_FLAG                 VARCHAR2(4)   ,
    START_DATE_DURATION             NUMBER        ,
    END_DATE_DURATION               NUMBER        ,
    ABSENCE_PATTERN_CD              VARCHAR2(120) ,
    ENTERPRISE_ID                   NUMBER(18, 0) ,
    LEGISLATIVE_DATA_GROUP_ID       NUMBER(18, 0) ,
    LEGAL_ENTITY_ID                 NUMBER(18, 0)     NOT NULL,
    PERSON_ID                       NUMBER(18, 0)     NOT NULL,
    ABSENCE_TYPE_ID                 NUMBER(18, 0)     NOT NULL,
    CHILD_EVENT_TYPE_CD             VARCHAR2(120) ,
    ABSENCE_TYPE_REASON_ID          NUMBER(18, 0) ,
    ABSENCE_ENTRY_BASIC_FLAG        VARCHAR2(120)     NOT NULL,
    ABSENCE_STATUS_CD               VARCHAR2(120)     NOT NULL,
    APPROVAL_STATUS_CD              VARCHAR2(120) ,
    START_DATE                      DATE          ,
    START_DATETIME                  TIMESTAMP(6)  ,
    END_DATETIME                    TIMESTAMP(6)  ,
    END_DATE                        DATE          ,
    START_TIME                      VARCHAR2(120) ,
    END_TIME                        VARCHAR2(120) ,
    PLANNED_END_DATE                DATE          ,
    OPEN_ENDED_FLAG                 VARCHAR2(4)       NOT NULL,
    CONFIRMED_DATE                  DATE          ,
    SUBMITTED_DATE                  DATE          ,
    CONDITION_START_DATE            DATE          ,
    DURATION                        NUMBER        ,
    UOM                             VARCHAR2(120) ,
    COMMENTS                        VARCHAR2(4000),
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    PROJECT_ID                      NUMBER(18, 0) ,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE_CATEGORY              VARCHAR2(120) ,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    ATTRIBUTE16                     VARCHAR2(600) ,
    ATTRIBUTE17                     VARCHAR2(600) ,
    ATTRIBUTE18                     VARCHAR2(600) ,
    ATTRIBUTE19                     VARCHAR2(600) ,
    ATTRIBUTE20                     VARCHAR2(600) ,
    ATTRIBUTE21                     VARCHAR2(600) ,
    ATTRIBUTE22                     VARCHAR2(600) ,
    ATTRIBUTE23                     VARCHAR2(600) ,
    ATTRIBUTE24                     VARCHAR2(600) ,
    ATTRIBUTE25                     VARCHAR2(600) ,
    ATTRIBUTE26                     VARCHAR2(600) ,
    ATTRIBUTE27                     VARCHAR2(600) ,
    ATTRIBUTE28                     VARCHAR2(600) ,
    ATTRIBUTE29                     VARCHAR2(600) ,
    ATTRIBUTE30                     VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    ATTRIBUTE_NUMBER6               NUMBER        ,
    ATTRIBUTE_NUMBER7               NUMBER        ,
    ATTRIBUTE_NUMBER8               NUMBER        ,
    ATTRIBUTE_NUMBER9               NUMBER        ,
    ATTRIBUTE_NUMBER10              NUMBER        ,
    ATTRIBUTE_NUMBER11              NUMBER        ,
    ATTRIBUTE_NUMBER12              NUMBER        ,
    ATTRIBUTE_NUMBER13              NUMBER        ,
    ATTRIBUTE_NUMBER14              NUMBER        ,
    ATTRIBUTE_NUMBER15              NUMBER        ,
    ATTRIBUTE_NUMBER16              NUMBER        ,
    ATTRIBUTE_NUMBER17              NUMBER        ,
    ATTRIBUTE_NUMBER18              NUMBER        ,
    ATTRIBUTE_NUMBER19              NUMBER        ,
    ATTRIBUTE_NUMBER20              NUMBER        ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    ATTRIBUTE_DATE6                 DATE          ,
    ATTRIBUTE_DATE7                 DATE          ,
    ATTRIBUTE_DATE8                 DATE          ,
    ATTRIBUTE_DATE9                 DATE          ,
    ATTRIBUTE_DATE10                DATE          ,
    ATTRIBUTE_DATE11                DATE          ,
    ATTRIBUTE_DATE12                DATE          ,
    ATTRIBUTE_DATE13                DATE          ,
    ATTRIBUTE_DATE14                DATE          ,
    ATTRIBUTE_DATE15                DATE          ,
    INFORMATION_CATEGORY            VARCHAR2(120) ,
    INFORMATION1                    VARCHAR2(600) ,
    INFORMATION2                    VARCHAR2(600) ,
    INFORMATION3                    VARCHAR2(600) ,
    INFORMATION4                    VARCHAR2(600) ,
    INFORMATION5                    VARCHAR2(600) ,
    INFORMATION6                    VARCHAR2(600) ,
    INFORMATION7                    VARCHAR2(600) ,
    INFORMATION8                    VARCHAR2(600) ,
    INFORMATION9                    VARCHAR2(600) ,
    INFORMATION10                   VARCHAR2(600) ,
    INFORMATION11                   VARCHAR2(600) ,
    INFORMATION12                   VARCHAR2(600) ,
    INFORMATION13                   VARCHAR2(600) ,
    INFORMATION14                   VARCHAR2(600) ,
    INFORMATION15                   VARCHAR2(600) ,
    INFORMATION16                   VARCHAR2(600) ,
    INFORMATION17                   VARCHAR2(600) ,
    INFORMATION18                   VARCHAR2(600) ,
    INFORMATION19                   VARCHAR2(600) ,
    INFORMATION20                   VARCHAR2(600) ,
    INFORMATION21                   VARCHAR2(600) ,
    INFORMATION22                   VARCHAR2(600) ,
    INFORMATION23                   VARCHAR2(600) ,
    INFORMATION24                   VARCHAR2(600) ,
    INFORMATION25                   VARCHAR2(600) ,
    INFORMATION26                   VARCHAR2(600) ,
    INFORMATION27                   VARCHAR2(600) ,
    INFORMATION28                   VARCHAR2(600) ,
    INFORMATION29                   VARCHAR2(600) ,
    INFORMATION30                   VARCHAR2(600) ,
    INFORMATION_NUMBER1             NUMBER        ,
    INFORMATION_NUMBER2             NUMBER        ,
    INFORMATION_NUMBER3             NUMBER        ,
    INFORMATION_NUMBER4             NUMBER        ,
    INFORMATION_NUMBER5             NUMBER        ,
    INFORMATION_NUMBER6             NUMBER        ,
    INFORMATION_NUMBER7             NUMBER        ,
    INFORMATION_NUMBER8             NUMBER        ,
    INFORMATION_NUMBER9             NUMBER        ,
    INFORMATION_NUMBER10            NUMBER        ,
    INFORMATION_NUMBER11            NUMBER        ,
    INFORMATION_NUMBER12            NUMBER        ,
    INFORMATION_NUMBER13            NUMBER        ,
    INFORMATION_NUMBER14            NUMBER        ,
    INFORMATION_NUMBER15            NUMBER        ,
    INFORMATION_NUMBER16            NUMBER        ,
    INFORMATION_NUMBER17            NUMBER        ,
    INFORMATION_NUMBER18            NUMBER        ,
    INFORMATION_NUMBER19            NUMBER        ,
    INFORMATION_NUMBER20            NUMBER        ,
    INFORMATION_DATE1               DATE          ,
    INFORMATION_DATE2               DATE          ,
    INFORMATION_DATE3               DATE          ,
    INFORMATION_DATE4               DATE          ,
    INFORMATION_DATE5               DATE          ,
    INFORMATION_DATE6               DATE          ,
    INFORMATION_DATE7               DATE          ,
    INFORMATION_DATE8               DATE          ,
    INFORMATION_DATE9               DATE          ,
    INFORMATION_DATE10              DATE          ,
    INFORMATION_DATE11              DATE          ,
    INFORMATION_DATE12              DATE          ,
    INFORMATION_DATE13              DATE          ,
    INFORMATION_DATE14              DATE          ,
    INFORMATION_DATE15              DATE          ,
    SPL_CONDITION                   VARCHAR2(4000),
    INITIAL_REPORT_BY_ID            NUMBER(18, 0) ,
    NOTIFICATION_DATE               DATE          ,
    LATE_NOTIFY_FLAG                VARCHAR2(120) ,
    INITIAL_TIMELY_NOTIFY_FLAG      VARCHAR2(120) ,
    CERTIFICATION_AUTH_FLAG         VARCHAR2(120) ,
    AUTH_STATUS_UPDATE_DATE         DATE          ,
    TIMELINESS_OVERRIDE_DATE        DATE          ,
    DISEASE_CODE                    VARCHAR2(1000),
    PERIOD_OF_INCAP_TO_WORK_FLAG    VARCHAR2(120) ,
    ESTABLISHMENT_DATE              DATE          ,
    USER_MODE                       VARCHAR2(40)      NOT NULL,
    SOURCE                          VARCHAR2(40)      NOT NULL,
    FREQUENCY                       VARCHAR2(120) ,
    LEGISLATION_CODE                VARCHAR2(120) ,
    BLOCKED_LEAVE_CANDIDATE         VARCHAR2(120) ,
    PERIOD_OF_SERVICE_ID            NUMBER(18, 0) ,
    OVERRIDDEN                      VARCHAR2(40)  ,
    PROCESSING_STATUS               VARCHAR2(120) ,
    AGREEMENT_ID                    NUMBER(18, 0) ,
    BAND_DTL_ID                     NUMBER(18, 0) ,
    CONSUMED_BY_AGREEMENT           VARCHAR2(120) ,
    EMPLOYEE_SHIFT_FLAG             VARCHAR2(80)  ,
    APPROVAL_OUTCOME                VARCHAR2(120) ,
    ESS_DURATION_UPDATE             VARCHAR2(40)  ,
    PER_ABSENCE_HEADER_ID           NUMBER(18, 0) ,
    PAYROLL_CHG_FLAG                VARCHAR2(80)  ,
    EXPEDITE                        VARCHAR2(600) ,
    OVERRIDE_PAY_METHOD             NUMBER        ,
    OVERRIDE_CHECK_PRINTER          VARCHAR2(600) ,
    ABS_RECORD_SOURCE               VARCHAR2(240) ,
    ASSIGNMENT_ID                   NUMBER(18, 0) ,
    LAST_ENTRY_MODE                 VARCHAR2(80)  ,
    PAYROLL_MAPPING_ID              NUMBER(18, 0) ,
    PAYROLL_STATUS                  VARCHAR2(128) ,
    TIME_CARD_TRANSFER_STATUS       VARCHAR2(320) ,
    APPROVAL_DATETIME               TIMESTAMP(6)  ,
    SUBMITTED_DATETIME              TIMESTAMP(6)  ,
    BID_PREFERENCE                  NUMBER        ,
    BID_FLAG                        VARCHAR2(120) ,
    BID_ID                          NUMBER(18, 0) ,
    START_DT_DUR_PREF_CD            VARCHAR2(120) ,
    END_DT_DUR_PREF_CD              VARCHAR2(120) ,
    ASSIGNMENT_STATUS_UPDATE        VARCHAR2(120) ,
    UNPAID_BREAK_DURATION           NUMBER        ,
    CONSTRAINT pk_anc_per_abs_entries PRIMARY KEY (PER_ABSENCE_ENTRY_ID, ENTERPRISE_ID, PER_ABSENCE_ENTRY_ID, ENTERPRISE_ID)
);
